NCLAT Case History API

The NCLAT Case History API provides complete historical details of court case proceedings and hearing activities. It allows users to retrieve information such as court name, sub court, CNR number, case number, case title, petitioner and respondent details, hearing dates, business purpose, adjournment reasons, next hearing purpose, upcoming hearing dates, and disposal information in a structured and easily accessible format.

API Details

Request URL

POST
https://api.g99.co.in/api/v1/courtxnclat/search/history
Copied!

Request Body Parameters

Type Name Optional Description
String benchId Required Name of the court or bench handling the case. refer to NCLAT Benches API.
String filingNumber Required Unique court case Filing number assaigned to case.
String hearingDate Required Relevant date associated with the case of bussiness date.

Sample Request Payload

request.json
Copied!
{
  "benchId": "delhi",
  "filingNumber": "9910110010062018",
  "hearingDate": "25-09-2018"
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxnclat/search/history',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "benchId": "delhi",
  "filingNumber": "9910110010062018",
  "hearingDate": "25-09-2018"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://api.g99.co.in/api/v1/courtxnclat/search/history"

payload = json.dumps({
  "benchId": "delhi",
  "filingNumber": "9910110010062018",
  "hearingDate": "25-09-2018"
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxnclat/search/history");
var content = new StringContent("{\r\n  \"benchId\": \"delhi\",\r\n  \"filingNumber\": \"9910110010062018\",\r\n  \"hearingDate\": \"25-09-2018\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
filingNumber String Unique number assigned to the case at the time of filing.
courtNumber String Identifier of the court where the case is being heard.
hearingDate String Date on which the case is scheduled for or was heard.
caseStage String Current procedural stage or status of the case.
caseNumber String Unique number assigned to the case by the court.
caseYear String Year in which the case was registered or filed.
caseType String Type or category of the court case.
summary String Brief description of the proceedings or events for the hearing.
benchNumber String Identifier of the bench assigned to hear the case.
coram String Name(s) of the judge(s) or judicial member(s) hearing the case.

Sample Response

Sample response for valid document

response.json
Copied!
{
  "filingNumber": "9910110010062018",
  "courtNumber": 1,
  "hearingDate": "2018-09-25",
  "caseStage": null,
  "caseNumber": "581",
  "caseYear": "2018",
  "caseType": "Company Appeal(AT)(Ins)",
  "summary": null,
  "benchNumber": 1,
  "coram": "Hon'ble Justice Bansi Lal Bhat (Acting Chairperson) ,  Justice S.J. Mukhopadhaya (Former Chairperson) , "
}

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
400 4001 Malformed data or missing required parameter values.
500 5001 Request could not be processed. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Malformed data or missing required parameter values.",
  "status": 4001,
  "error": True
}